Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000342Core InformPhrases and functional programmingpublic2010-10-22 11:422010-10-28 00:31
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.4
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000342: Phrases may contains parenthetical expressions that do not describe their arguments
DescriptionAgain, maybe not worth fixing, but the phrase in the attached source is unexpectedly allowed.
Minimal Source Text To Reproduce
There is a room.
To agree (called okaying):
	say "Ok."
When play begins:
	agree (called okaying).
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships

-  Notes
(0000716)
jmcgrew (administrator)
2010-10-23 00:29

Confirmed. Only works when the parenthetical in the definition starts with "called". Once the phrase is defined that way, any text is accepted in the invocation, even without parentheses:

<code>
When play begins:
agree to disagree;
agree("I wholeheartedly concur", MAX_AGREEMENT);
agree -f -v 100.
</code>
(0000735)
graham (administrator)
2010-10-24 04:02

Fixed. There's now a problem message (actually two, one of them to provide a hint if it looks as if the user has been trying to give a phrase a name).

- Issue History
Date Modified Username Field Change
2010-10-22 11:42 EmacsUser New Issue
2010-10-22 11:52 EmacsUser Summary Phrases may contains some parenthetical expressions => Phrases may contains parenthetical expressions that do not describe their arguments
2010-10-22 11:58 EmacsUser Description Updated View Revisions
2010-10-22 11:58 EmacsUser Steps to Reproduce Updated View Revisions
2010-10-23 00:29 jmcgrew Note Added: 0000716
2010-10-23 00:29 jmcgrew Status new => confirmed
2010-10-24 04:02 graham Note Added: 0000735
2010-10-24 04:02 graham Status confirmed => resolved
2010-10-24 04:02 graham Resolution open => fixed
2010-10-24 04:02 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker